%global commit 92f183b496e7d628d50f07339d4880d4efffbc70
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           aether-connector-okhttp
Version:        0.0.10
Release:        0.1%{?dist}
Summary:        OkHttp Aether Connector

License:        EPL
URL:            https://github.com/tesla/%{name}
Source0:        https://github.com/tesla/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:        eclipse-1.0.txt
BuildArch:      noarch

BuildRequires: mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
BuildRequires: mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires: mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(com.squareup.okhttp:okhttp)
BuildRequires: mvn(javax.inject:javax.inject)
BuildRequires: mvn(org.slf4j:slf4j-simple)
BuildRequires: mvn(org.apache.maven.wagon:wagon-provider-api)
BuildRequires: maven-local

%description
A repository connector implementation based on Square's OkHttp.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q -n %{name}-%{commit}
cp %{SOURCE1} .

# Doesn't really need the parent
%pom_remove_parent

%build
# We don't have all test deps (e.g. npn-boot)
%mvn_build --skip-tests

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc eclipse-1.0.txt

%files javadoc -f .mfiles-javadoc
%doc eclipse-1.0.txt

%changelog
* Sat Nov 23 2013 Gerard Ryan <galileo@fedoraproject.org> - 1.2.1-1
- Initial rpm
